Bug 47166 - Tktable port
Summary: Tktable port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-01-17 18:00 UTC by Фомичев Виктор
Modified: 2003-07-23 11:39 UTC (History)
0 users

See Also:


Attachments
file.shar (7.64 KB, text/plain)
2003-01-17 18:00 UTC, Фомичев Виктор
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Фомичев Виктор 2003-01-17 18:00:17 UTC
	Tktable is a table/matrix wdget extension to tcl/tk.
Comment 1 corecode@corecode.ath.cx 2003-01-18 12:54:41 UTC
Lately Viktor Fomichev told:

> sed 's/^X//' >tktable/files/patch-demos << 'END-of-tktable/files/patch-demos'
> X--- ../demos/basic.tcl.orig	Thu Mar 23 05:18:59 2000
> X+++ ../demos/basic.tcl	Thu Jan 17 07:39:12 2002
> X@@ -1,6 +1,6 @@
> X #!/bin/sh
> X # the next line restarts using wish \
> X-exec wish "$0" ${1+"$@"}
> X+exec wish8.3 "$0" ${1+"$@"}
> X 
> X ## basic.tcl
> X ##

don't you want to use a ${FIND} | ${XARGS} ${REINPLACE_CMD} instead of
lot of patch files?


cheers
  simon


-- 
/"\   http://corecode.ath.cx/#donate
\ /
 \     ASCII Ribbon Campaign
/ \  Against HTML Mail and News
Comment 2 vfom 2003-01-20 08:58:04 UTC
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	x11-toolkits/tktable
#	x11-toolkits/tktable/Makefile
#	x11-toolkits/tktable/distinfo
#	x11-toolkits/tktable/pkg-comment
#	x11-toolkits/tktable/pkg-descr
#	x11-toolkits/tktable/pkg-plist
#	x11-toolkits/tktable/files
#	x11-toolkits/tktable/files/patch-Makefile.in
#
echo c - x11-toolkits/tktable
mkdir -p x11-toolkits/tktable > /dev/null 2>&1
echo x - x11-toolkits/tktable/Makefile
sed 's/^X//' >x11-toolkits/tktable/Makefile << 'END-of-x11-toolkits/tktable/Makefile'
X# New ports collection makefile for:	Tktable
X# Date created:		20 Jan 2003
X# Whom:			Viktor Fomichev <vfom@narod.ru>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	Tktable
XPORTVERSION=	2.7
XPORTREVISION=	1
XCATEGORIES=	x11-toolkits
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	tktable
XDISTNAME=	${PORTNAME}${PORTVERSION}
X
XMAINTAINER=	Jeff Hobbs  <jeffh@ActiveState.com>
X
XLIB_DEPENDS=	tk83.1:${PORTSDIR}/x11-toolkits/tk83
X
XWRKSRC=		${WRKDIR}/${PORTNAME}${PORTVERSION}/unix
XGNU_CONFIGURE=	yes
XCONFIGURE_ARGS=	--prefix=${PREFIX} --with-tcl=${PREFIX}/lib/tcl8.3 --with-tk=${PREFIX}/lib/tk8.3 \
X		--includedir='${PREFIX}/include/tk8.3 -I${PREFIX}/include/tcl8.3'
X
XPLIST_SUB=	TKTABLE_VER=2.7
X
XUSE_REINPLACE= yes
X
Xpre-install:
X	@${FIND} ${WRKDIR}/${PORTNAME}${PORTVERSION}/demos/ | ${XARGS} ${REINPLACE_CMD} \
X	    's|^exec wish |exec wish8.3 |g;'
X
X.include <bsd.port.mk>
END-of-x11-toolkits/tktable/Makefile
echo x - x11-toolkits/tktable/distinfo
sed 's/^X//' >x11-toolkits/tktable/distinfo << 'END-of-x11-toolkits/tktable/distinfo'
XMD5 (Tktable2.7.tar.gz) = 1f6ef046f21b5195fa3f2ad4321668d7
END-of-x11-toolkits/tktable/distinfo
echo x - x11-toolkits/tktable/pkg-comment
sed 's/^X//' >x11-toolkits/tktable/pkg-comment << 'END-of-x11-toolkits/tktable/pkg-comment'
XTkTable is a table/matrix widget extension to tk/tcl
END-of-x11-toolkits/tktable/pkg-comment
echo x - x11-toolkits/tktable/pkg-descr
sed 's/^X//' >x11-toolkits/tktable/pkg-descr << 'END-of-x11-toolkits/tktable/pkg-descr'
XTkTable is a table/matrix widget extension to tk/tcl.
XThe basic features of the widget are:
X
X * multi-line cells
X * support for embedded windows (one per cell)
X * row & column spanning
X * variable width columns / height rows (interactively resizable)
X * row and column titles
X * multiple data sources ((Tcl array || Tcl command) &| internal caching)
X * supports standard Tk reliefs, fonts, colors, etc.
X * x/y scrollbar support
X * 'tag' styles per row, column or cell to change visual appearance
X * in-cell editing - returns value back to data source
X * support for disabled (read-only) tables or cells (via tags)
X * multiple selection modes, with "active" cell
X * multiple drawing modes to get optimal performance for larger tables
X * optional 'flashes' when things update
X * cell validation support
X * Works everywhere Tk does (including Windows and Mac!)
X * Unicode support (Tk8.1+)
END-of-x11-toolkits/tktable/pkg-descr
echo x - x11-toolkits/tktable/pkg-plist
sed 's/^X//' >x11-toolkits/tktable/pkg-plist << 'END-of-x11-toolkits/tktable/pkg-plist'
Xlib/Tktable%%TKTABLE_VER%%/Tktable.so.%%TKTABLE_VER%%
Xlib/Tktable%%TKTABLE_VER%%/pkgIndex.tcl
Xlib/Tktable%%TKTABLE_VER%%/tkTable.tcl
Xman/mann/tkTable.n
Xshare/doc/Tktable%%TKTABLE_VER%%/tkTable.html
Xshare/examples/Tktable%%TKTABLE_VER%%/basic.tcl
Xshare/examples/Tktable%%TKTABLE_VER%%/buttons.tcl
Xshare/examples/Tktable%%TKTABLE_VER%%/command.tcl
Xshare/examples/Tktable%%TKTABLE_VER%%/debug.tcl
Xshare/examples/Tktable%%TKTABLE_VER%%/dynarows.tcl
Xshare/examples/Tktable%%TKTABLE_VER%%/loadtable.tcl
Xshare/examples/Tktable%%TKTABLE_VER%%/maxsize.tcl
Xshare/examples/Tktable%%TKTABLE_VER%%/spreadsheet.tcl
Xshare/examples/Tktable%%TKTABLE_VER%%/tcllogo.gif
Xshare/examples/Tktable%%TKTABLE_VER%%/valid.tcl
X@dirrm lib/Tktable%%TKTABLE_VER%%
X@dirrm share/doc/Tktable%%TKTABLE_VER%%
X@dirrm share/examples/Tktable%%TKTABLE_VER%%
END-of-x11-toolkits/tktable/pkg-plist
echo c - x11-toolkits/tktable/files
mkdir -p x11-toolkits/tktable/files > /dev/null 2>&1
echo x - x11-toolkits/tktable/files/patch-Makefile.in
sed 's/^X//' >x11-toolkits/tktable/files/patch-Makefile.in << 'END-of-x11-toolkits/tktable/files/patch-Makefile.in'
X--- Makefile.in.orig	Sun Jul  1 09:01:02 2001
X+++ Makefile.in	Thu Jan 17 07:29:41 2002
X@@ -92,8 +92,8 @@
X
X ## I use this for helping hunt down the slightest error
X #TBL_CFLAGS	+= -g -Wall -Wno-implicit -Wshadow -pedantic \
X-		   -Wpointer-arith -Wmissing-prototypes \
X-		   -Wmissing-declarations -Wnested-externs -Winline
X+#		   -Wpointer-arith -Wmissing-prototypes \
X+#		   -Wmissing-declarations -Wnested-externs -Winline
X
X ## Jeff's magic extra debug flag
X #TBL_CFLAGS	+= -DDEBUG
X@@ -125,7 +125,7 @@
X STATIC_LIB	= $(PACKAGE).a
X PKG_DIR		= $(PACKAGE)$(TBL_VERSION)
X STATIC_EXEC	= tablewish
X-DLL_DIR		= ${exec_prefix}/lib/$(PKG_DIR)
X+DLL_DIR		= ${prefix}/lib/$(PKG_DIR)
X RUN_DIR		= ${prefix}/lib/$(PKG_DIR)
X
X CFLAGS		= -I. -I$(GENERIC_DIR) $(INCLUDES)\
X@@ -136,6 +136,8 @@
X 		  -DTBL_RUNTIME_DIR=\"$(RUN_DIR)\"
X
X MAN_INSTALL_DIR = @mandir@/mann
X+HTML_INSTALL_DIR = ${prefix}/share/doc/$(PACKAGE)$(TBL_VERSION)
X+DEMO_INSTALL_DIR = ${prefix}/share/examples/$(PACKAGE)$(TBL_VERSION)
X
X ##
X ## TARGETS
X@@ -212,10 +214,15 @@
X install: all
X 	if test ! -d "$(DLL_DIR)"; then mkdir "$(DLL_DIR)"; fi
X 	if test ! -d "$(RUN_DIR)"; then mkdir "$(RUN_DIR)"; fi
X+	if test ! -d "$(HTML_INSTALL_DIR)"; then mkdir "$(HTML_INSTALL_DIR)"; fi
X+	if test ! -d "$(DEMO_INSTALL_DIR)"; then mkdir "$(DEMO_INSTALL_DIR)"; fi
X 	$(INSTALL_PROGRAM) $(DLL) "$(DLL_DIR)/$(DLL).$(TBL_VERSION)"
X 	$(INSTALL_DATA) pkgIndex.tcl "$(DLL_DIR)/pkgIndex.tcl"
X 	$(INSTALL_DATA) $(LIB_DIR)/tkTable.tcl "$(RUN_DIR)/tkTable.tcl"
X 	$(INSTALL_DATA) $(DOC_DIR)/$(MANS) $(MAN_INSTALL_DIR)/
X+	$(INSTALL_DATA) $(DOC_DIR)/$(HTML_MANS) $(HTML_INSTALL_DIR)/
X+	$(INSTALL_DATA) $(DEMO_DIR)/*.tcl $(DEMO_DIR)/*.gif $(DEMO_INSTALL_DIR)/
X+	chmod a+x $(DEMO_INSTALL_DIR)/*.tcl
X
X # Leaves behind created directories
X uninstall:
END-of-x11-toolkits/tktable/files/patch-Makefile.in
exit
Comment 3 Thierry Thomas 2003-07-22 21:41:08 UTC
Hello,

I need this port for Code_Aster. I had written a port for TkTable 2.8,
before I see your port of 2.7... Here is my shar file (not a diff).

Remark: you had set the maintainer to "Jeff Hobbs", but he is the
maintainer of the original TkTable, not the FreeBSD port maintainer;
I've reset this field to ports@FreeBSD.org, don't hesitate to claim the
maintnership if you want.

--- tktable.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	x11-toolkits/tktable
#	x11-toolkits/tktable/Makefile
#	x11-toolkits/tktable/distinfo
#	x11-toolkits/tktable/pkg-descr
#	x11-toolkits/tktable/pkg-plist
#	x11-toolkits/tktable/files
#	x11-toolkits/tktable/files/patch-Makefile.in
#
echo c - x11-toolkits/tktable
mkdir -p x11-toolkits/tktable > /dev/null 2>&1
echo x - x11-toolkits/tktable/Makefile
sed 's/^X//' >x11-toolkits/tktable/Makefile << 'END-of-x11-toolkits/tktable/Makefile'
X# New ports collection makefile for:	tktable
X# Date created:         25 Jun 2003
X# Whom:                 thierry@pompo.net
X#
X# $FreeBSD$
X#
X
XPORTNAME=	tktable
XPORTVERSION=	2.8
XCATEGORIES=	x11-toolkits tk83
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=${PORTNAME}
XDISTNAME=	${PORTNAME:S/tk/Tk/}${PORTVERSION}
X
XMAINTAINER=	ports@freebsd.org
XCOMMENT=	A table/matrix widget extension to tk/tcl
X
XLIB_DEPENDS=	tk83.1:${PORTSDIR}/x11-toolkits/tk83
X
XGNU_CONFIGURE=	yes
XCONFIGURE_ARGS=	--prefix=${PREFIX}					\
X		--with-tcl=${LOCALBASE}/lib/tcl${TK_VER}		\
X		--with-tk=${LOCALBASE}/lib/tk${TK_VER}			\
X		--with-tclinclude=${LOCALBASE}/include/tcl${TK_VER}	\
X		--with-tkinclude=${LOCALBASE}/include/tk${TK_VER}	\
X		--with-x=${X11BASE}
XUSE_REINPLACE=	yes
X
XTK_VER=		8.3
XPLIST_SUB=	DESTDIR=lib/${DISTNAME}
X
Xpre-configure:
X.if defined(NOPORTDOCS)
X	@${REINPLACE_CMD} -e "s:install-libraries install-doc:install-libraries:" \
X		${WRKSRC}/Makefile.in
X.endif
X
Xpost-install:
X.if !defined(NOPORTDOCS)
X	@${ECHO_MSG} "===> Documentation installed in ${DOCSDIR}."
X.endif
X
X.if defined(MAINTAINER_MODE)
Xtest:	build
X	(cd ${WRKSRC};	\
X	${SETENV} ${MAKE_ENV} ${MAKE} ${MAKE_FLAGS} ${MAKEFILE} ${MAKE_ARGS} test)
X.endif
X
X.include <bsd.port.mk>
END-of-x11-toolkits/tktable/Makefile
echo x - x11-toolkits/tktable/distinfo
sed 's/^X//' >x11-toolkits/tktable/distinfo << 'END-of-x11-toolkits/tktable/distinfo'
XMD5 (Tktable2.8.tar.gz) = 6d29fe86f925acf58bb3a268cc511564
END-of-x11-toolkits/tktable/distinfo
echo x - x11-toolkits/tktable/pkg-descr
sed 's/^X//' >x11-toolkits/tktable/pkg-descr << 'END-of-x11-toolkits/tktable/pkg-descr'
XTkTable is a full-featured 2D table widget (in the spreadsheet sense)
Xextension for Tk.
X
XIt supports images, embedded windows, varying colors and fonts, and more.
X
XWWW: http://tktable.sourceforge.net/
END-of-x11-toolkits/tktable/pkg-descr
echo x - x11-toolkits/tktable/pkg-plist
sed 's/^X//' >x11-toolkits/tktable/pkg-plist << 'END-of-x11-toolkits/tktable/pkg-plist'
X%%DESTDIR%%/libTktable2.8.so
X%%DESTDIR%%/tkTable.tcl
X%%DESTDIR%%/pkgIndex.tcl
X%%DESTDIR%%/license.txt
X%%PORTDOCS%%%%DOCSDIR%%/README.txt
X%%PORTDOCS%%%%DOCSDIR%%/html/tkTable.html
X%%PORTDOCS%%@dirrm %%DOCSDIR%%/html
X%%PORTDOCS%%@dirrm %%DOCSDIR%%
X@dirrm %%DESTDIR%%
END-of-x11-toolkits/tktable/pkg-plist
echo c - x11-toolkits/tktable/files
mkdir -p x11-toolkits/tktable/files > /dev/null 2>&1
echo x - x11-toolkits/tktable/files/patch-Makefile.in
sed 's/^X//' >x11-toolkits/tktable/files/patch-Makefile.in << 'END-of-x11-toolkits/tktable/files/patch-Makefile.in'
X--- Makefile.in.orig	Wed Oct 16 09:40:33 2002
X+++ Makefile.in	Thu Jun 26 11:45:34 2003
X@@ -98,6 +98,7 @@
X datadir		= @datadir@
X mandir		= @mandir@
X includedir	= @includedir@
X+docsdir		= @prefix@/share/doc/tktable
X 
X DESTDIR		=
X 
X@@ -241,7 +242,6 @@
X 	@mkdir -p $(DESTDIR)$(pkglibdir)
X 	$(INSTALL_DATA) pkgIndex.tcl $(DESTDIR)$(pkglibdir)
X 	$(INSTALL_DATA) $(srcdir)/license.txt $(DESTDIR)$(pkglibdir)
X-	$(INSTALL_DATA) $(srcdir)/README.txt $(DESTDIR)$(pkglibdir)
X 
X #========================================================================
X # This rule installs platform-independent files, such as header files.
X@@ -255,10 +255,11 @@
X #========================================================================
X 
X install-doc: doc
X-	@mkdir -p $(DESTDIR)$(pkglibdir)/html
X+	@mkdir -p $(docsdir)/html
X+	$(INSTALL_DATA) $(srcdir)/README.txt $(docsdir)
X 	@list='$(PKG_MAN_PAGES)'; for p in $$list; do \
X 		html=`basename $$p|sed -e 's/.[^.]*$$//'`.html; \
X-	  	$(INSTALL_DATA) $(srcdir)/doc/$$html $(DESTDIR)$(pkglibdir)/html/; \
X+	  	$(INSTALL_DATA) $(srcdir)/doc/$$html $(docsdir)/html/; \
X 	done
X 
X html:
END-of-x11-toolkits/tktable/files/patch-Makefile.in
exit
--- tktable.shar ends here ---

Best regards,
-- 
Th. Thomas.
Comment 4 Oliver Lehmann freebsd_committer 2003-07-23 11:37:07 UTC
State Changed
From-To: open->closed

Committed a slightly modified version, Thanks! 
Thierry, please use a tab, not a space after a variable name in Makefile